#2916 closed defect (fixed)

termios: Change receive callback invocation to enable select() and poll() support

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Call the receive callback in case a read will succeed without to block. This enables the use of the receive callback for a poll() and select() support. Increase raw input buffer size to allow buffering of one line.

Change History (4)

comment:1 Changed on Feb 28, 2017 at 7:55:08 AM by Sebastian Huber

Owner: changed from joel.sherrill@… to Sebastian Huber
Status: newassigned

comment:2 Changed on Feb 28, 2017 at 9:03:08 AM by Sebastian Huber

Resolution: fixed
Status: assignedclosed

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.